#!/bin/ksh
#
# rmHMCuser.ksh
# 01.002.06
# Remotely remove HMC user accounts.
#
# Note:   SSH Keys need to be setup between the HMCs and the management server.
#
# Syntax:   rmHMCuser  [user name]  [HMC name]
#

ProgramName="$(basename $0)"
TimeStamp=`date +"%d %b %Y, %H:%M"`

HMClist=          ## Can be a single HMC, a list of HMCs, or a file containing a list of HMCs

if [[ -z $1 ]] || [[ -z $2 ]]
  then echo "${ProgramName}: ${TimeStamp} - Missing parameters."
       echo "     - Syntax: rmHMCuser  [user name]  [HMC name]"
       exit 1
fi

if [[ -n $2 ]]
  then if [[ -f $2 ]]
         then HMClist=`cat $2`
       fi
       HMClist=$2
fi

for HMC in $HMClist
do
  echo "${HMC}"
  ssh hscroot@${HMC} "rmhmcuser -u ${1}"
done
